Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Zypper has a lot of problems

  1. #1
    Join Date
    Nov 2017
    Location
    Somewhere around the middle of Europe.
    Posts
    116

    Default Zypper has a lot of problems

    When I do a
    Code:
    zypper dup
    , zypper says, there are 5 problems and options to solve them, but when I choose one it presents me with more problems. This happens until I run out of patience and cancel the whole thing.

    Is there a way to solve these problems easier? Is the behaviour described before a sign of something wrong with my system?

    Thanks,
    Greenscreener

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,803

    Default Re: Zypper has a lot of problems

    Maybe tell use the problems. Likely cause is bad or wrong repos

  3. #3
    Join Date
    Jan 2018
    Location
    Canada
    Posts
    128

    Default Re: Zypper has a lot of problems

    You will get a better response if you provide details.

    Personally, I choose the option that leaves things as they are. If the issue still exists after another update, then I look for a solution.

  4. #4
    Join Date
    Nov 2017
    Location
    Somewhere around the middle of Europe.
    Posts
    116

    Default Re: Zypper has a lot of problems

    This is the first bunch:
    Code:
    Problem: problem with installed package libQtWebKit4-4.8.7+2.3.4-4.1.x86_64
    Problem: ffmpeg-3.4.2-3.1.x86_64 requires libavutil55 = 3.4.2-3.1, but this requirement cannot be provided
    Problem: libavdevice57-3.4.2-1.1.x86_64 requires libavcodec57 = 3.4.2-1.1, but this requirement cannot be provided
    Problem: libavfilter6-3.4.2-1.1.x86_64 requires libavcodec57 = 3.4.2-1.1, but this requirement cannot be provided
    Problem: libavformat57-3.4.2-1.1.x86_64 requires libavcodec57 = 3.4.2-1.1, but this requirement cannot be provided
    
    Problem: problem with installed package libQtWebKit4-4.8.7+2.3.4-4.1.x86_64
     Solution 1: install libQtWebKit4-4.8.7+2.3.4-2.25.x86_64 (with vendor change)
      openSUSE  -->  http://packman.links2linux.de
     Solution 2: keep obsolete libQtWebKit4-4.8.7+2.3.4-4.1.x86_64
    
    
    

  5. #5
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,389

    Default Re: Zypper has a lot of problems

    As gogalthorp says...

    Show the output of:

    Code:
    sudo zypper lr -d
    Regards, Paul

    2x Tumbleweed (Snapshot: 20200211) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  6. #6
    Join Date
    Nov 2017
    Location
    Somewhere around the middle of Europe.
    Posts
    116

    Default Re: Zypper has a lot of problems

    Code:
    sudo zypper lr -d
    [sudo] password for root: 
    Repository priorities in effect:                                                                              (See 'zypper lr -P' for details)
          90 (raised priority)  :  1 repository  
          99 (default priority) :  9 repositories
    
    
    #  | Alias                               | Name                                     | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                             | Service
    ---+-------------------------------------+------------------------------------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------------------+--------
     1 | adobe                               | adobe                                    | No      | ----      | ----    |   99     | NONE   | http://linuxdownload.adobe.com/linux/x86_64/                                    |        
     2 | games                               | openSUSE Games (openSUSE_Tumbleweed)     | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/            |        
     3 | games_tools                         | Tools for Gamers (openSUSE_Tumbleweed)   | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/     |        
     4 | hardware                            | Hardware tools (openSUSE_Tumbleweed)     | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/         |        
     5 | home_auxsvr                         | auxsvr's Home Project (openSUSE_Factory) | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/reposit...nSUSE_Factory/        |        
     6 | home_kistelini                      | home:kistelini (openSUSE_Tumbleweed)     | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/  |        
     7 | http-download.opensuse.org-3a142919 | multimedia:apps                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |        
     8 | http-download.opensuse.org-881bb618 | multimedia:libs                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |        
     9 | http-download.opensuse.org-8d8009c8 | X11:Pantheon                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/    |        
    10 | http-download.opensuse.org-e22f6fc2 | openSUSE:Tumbleweed                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/reposit...weed/standard/        |        
    11 | http-ftp.gwdg.de-06d8bd13           | Packman Repository                       | Yes     | (r ) Yes  | Yes     |   90     | rpm-md | http://ftp.gwdg.de/pub/linux/packman...SE_Tumbleweed/                  |        
    12 | http-opensuse-guide.org-b5ef3e2e    | libdvdcss repository                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Tumbleweed/                             |        
    13 | packman                             | packman                                  | No      | ----      | ----    |   90     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/pa...SE_Tumbleweed/             |        
    14 | repo-debug                          | openSUSE-Tumbleweed-Debug                | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/tumbleweed/repo/oss/                         |        
    15 | repo-non-oss                        | openSUSE-Tumbleweed-Non-Oss              | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/non-oss/                           |        
    16 | repo-oss                            | openSUSE-Tumbleweed-Oss                  | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/oss/                               |        
    17 | repo-source                         | openSUSE-Tumbleweed-Source               | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/source/...weed/repo/oss/                        |        
    18 | repo-update                         | openSUSE-Tumbleweed-Update               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/tumbleweed/                                 |        
    19 | skype-stable                        | Skypeforlinux - stable                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://repo.skype.com/rpm/stable/

  7. #7
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,803

    Default Re: Zypper has a lot of problems

    You have both multimedia and packman active that can cause problems use one or the other mixing can lead to conflicts. Unless you have a serious need just use packman

  8. #8
    Join Date
    Nov 2017
    Location
    Somewhere around the middle of Europe.
    Posts
    116

    Default Re: Zypper has a lot of problems

    I now disabled mulitmedia:apps and multimedia:libs and
    Code:
    sudo zypper dup
    gives
    Code:
    6 Problems:
    Problem: problem with installed package libaudiofile1-0.3.6-53.18.x86_64
    Problem: problem with installed package libQtWebKit4-4.8.7+2.3.4-4.1.x86_64
    Problem: ffmpeg-3.4.2-3.1.x86_64 requires libavutil55 = 3.4.2-3.1, but this requirement cannot be provided
    Problem: libavdevice57-3.4.2-1.1.x86_64 requires libavcodec57 = 3.4.2-1.1, but this requirement cannot be provided
    Problem: libavfilter6-3.4.2-1.1.x86_64 requires libavcodec57 = 3.4.2-1.1, but this requirement cannot be provided
    Problem: libavformat57-3.4.2-1.1.x86_64 requires libavcodec57 = 3.4.2-1.1, but this requirement cannot be provided
    
    Problem: problem with installed package libaudiofile1-0.3.6-53.18.x86_64
     Solution 1: install libaudiofile1-0.3.6-10.3.x86_64 (with vendor change)
      obs://build.opensuse.org/multimedia  -->  openSUSE
     Solution 2: keep obsolete libaudiofile1-0.3.6-53.18.x86_64
    
    

  9. #9
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,389

    Default Re: Zypper has a lot of problems

    Allow the vendor change(s) to openSUSE

    Unless you have a compelling reason, and know exactly what you're doing, don't use multimedia:libs and multimedia:apps.

    The standard TW repositories plus packman should be adequate.
    Regards, Paul

    2x Tumbleweed (Snapshot: 20200211) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  10. #10
    Join Date
    Nov 2017
    Location
    Somewhere around the middle of Europe.
    Posts
    116

    Default Re: Zypper has a lot of problems

    Allow the vendor change(s) to openSUSE
    What?

    I have only other repos for NaSC calculator (X11:Pantheon) and skype. (I do not know what is libdvdcssor if I need it.)

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •